WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core24
1587
usr
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-03-17 03:54:11
-
[
File
54.44 KB
0755
2025-06-22 16:21:39
aa-enabled
File
18.3 KB
0755
2025-08-15 12:16:02
aa-exec
File
18.3 KB
0755
2025-08-15 12:16:02
aa-features-abi
File
18.3 KB
0755
2025-08-15 12:16:02
addpart
File
14.38 KB
0755
2026-03-06 16:00:54
arch
File
34.51 KB
0755
2025-06-22 16:21:39
awk
File
166.77 KB
0755
2024-04-08 16:12:02
b2sum
File
54.51 KB
0755
2025-06-22 16:21:39
base32
File
38.51 KB
0755
2025-06-22 16:21:39
base64
File
38.51 KB
0755
2025-06-22 16:21:39
basename
File
34.51 KB
0755
2025-06-22 16:21:39
basenc
File
46.51 KB
0755
2025-06-22 16:21:39
bash
File
1.38 MB
0755
2024-03-31 08:41:03
bashbug
File
6.82 KB
0755
2024-03-31 08:41:03
bunzip2
File
38.38 KB
0755
2024-08-09 02:33:21
busctl
File
94.59 KB
0755
2025-11-25 18:16:31
bzcat
File
38.38 KB
0755
2024-08-09 02:33:21
bzcmp
File
2.17 KB
0755
2024-08-09 02:33:21
bzdiff
File
2.17 KB
0755
2024-08-09 02:33:21
bzegrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzexe
File
4.78 KB
0755
2021-11-27 12:25:05
bzfgrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzgrep
File
3.69 KB
0755
2024-08-09 02:33:21
bzip2
File
38.38 KB
0755
2024-08-09 02:33:21
bzip2recover
File
18.3 KB
0755
2024-08-09 02:33:21
bzless
File
1.27 KB
0755
2024-08-09 02:33:21
bzmore
File
1.27 KB
0755
2024-08-09 02:33:21
captoinfo
File
90.41 KB
0755
2024-04-08 16:14:03
cat
File
38.46 KB
0755
2025-06-22 16:21:39
chage
File
70.49 KB
2755
2024-05-30 14:52:35
chardet
File
221 B
0755
2023-08-20 12:12:03
chardetect
File
221 B
0755
2023-08-20 12:12:03
chattr
File
14.31 KB
0755
2024-04-28 23:44:46
chcon
File
58.51 KB
0755
2025-06-22 16:21:39
chfn
File
71.09 KB
4755
2024-05-30 14:52:35
chgrp
File
58.51 KB
0755
2025-06-22 16:21:39
chmod
File
54.51 KB
0755
2025-06-22 16:21:39
choom
File
22.38 KB
0755
2026-03-06 16:00:54
chown
File
58.51 KB
0755
2025-06-22 16:21:39
chrt
File
30.38 KB
0755
2026-03-06 16:00:54
chsh
File
43.71 KB
4755
2024-05-30 14:52:35
cksum
File
102.52 KB
0755
2025-06-22 16:21:39
clear
File
14.31 KB
0755
2024-04-08 16:14:03
clear_console
File
14.23 KB
0755
2024-03-31 08:41:03
cloud-id
File
966 B
0755
2025-11-15 18:02:56
cloud-init
File
970 B
0755
2025-11-15 18:02:56
cloud-init-per
File
2.06 KB
0755
2025-09-26 11:09:55
cmp
File
42.39 KB
0755
2024-04-08 15:55:59
comm
File
38.52 KB
0755
2025-06-22 16:21:39
core-sshd-host-keygen
File
1.49 KB
0755
2026-03-17 03:51:29
coredumpctl
File
82.66 KB
0755
2025-11-25 18:16:31
cp
File
138.52 KB
0755
2025-06-22 16:21:39
csplit
File
50.51 KB
0755
2025-06-22 16:21:39
ctstat
File
22.66 KB
0755
2025-07-10 14:46:54
cut
File
38.51 KB
0755
2025-06-22 16:21:39
cvtsudoers
File
321.1 KB
0755
2026-03-02 12:56:19
dash
File
126.74 KB
0755
2024-03-31 08:47:26
date
File
106.51 KB
0755
2025-06-22 16:21:39
dbus-cleanup-sockets
File
14.29 KB
0755
2024-08-09 02:33:22
dbus-daemon
File
230.64 KB
0755
2024-08-09 02:33:22
dbus-monitor
File
26.3 KB
0755
2024-08-09 02:33:22
dbus-run-session
File
14.3 KB
0755
2024-08-09 02:33:22
dbus-send
File
30.29 KB
0755
2024-08-09 02:33:22
dbus-update-activation-environment
File
14.29 KB
0755
2024-08-09 02:33:22
dbus-uuidgen
File
14.29 KB
0755
2024-08-09 02:33:22
dd
File
70.54 KB
0755
2025-06-22 16:21:39
delpart
File
14.38 KB
0755
2026-03-06 16:00:54
df
File
87.08 KB
0755
2025-06-22 16:21:39
diff
File
134.55 KB
0755
2024-04-08 15:55:59
diff3
File
58.52 KB
0755
2024-04-08 15:55:59
dir
File
138.98 KB
0755
2025-06-22 16:21:39
dircolors
File
46.52 KB
0755
2025-06-22 16:21:39
dirname
File
34.38 KB
0755
2025-06-22 16:21:39
dmesg
File
68.64 KB
0755
2026-03-06 16:00:54
dnsdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
domainname
File
22.23 KB
0755
2024-04-08 15:59:01
dpkg-deb
File
142.58 KB
0755
2025-09-18 17:43:59
dpkg-realpath
File
4.09 KB
0755
2025-09-18 17:43:59
du
File
98.51 KB
0755
2025-06-22 16:21:39
ec2metadata
File
8.38 KB
0755
2022-06-03 10:51:54
echo
File
34.38 KB
0755
2025-06-22 16:21:39
editor
File
1.66 MB
0755
2026-03-10 09:13:01
egrep
File
41 B
0755
2024-04-08 15:58:39
env
File
46.95 KB
0755
2025-06-22 16:21:39
ex
File
1.66 MB
0755
2026-03-10 09:13:01
expand
File
34.53 KB
0755
2025-06-22 16:21:39
expiry
File
26.52 KB
2755
2024-05-30 14:52:35
expr
File
42.41 KB
0755
2025-06-22 16:21:39
factor
File
62.51 KB
0755
2025-06-22 16:21:39
faillog
File
22.63 KB
0755
2024-05-30 14:52:35
fallocate
File
26.38 KB
0755
2026-03-06 16:00:54
false
File
26.3 KB
0755
2025-06-22 16:21:39
fgrep
File
41 B
0755
2024-04-08 15:58:39
finalrd
File
2.06 KB
0755
2022-02-16 16:56:26
find
File
199.48 KB
0755
2024-04-08 15:57:28
findmnt
File
67.66 KB
0755
2026-03-06 16:00:54
flock
File
22.48 KB
0755
2026-03-06 16:00:54
fmt
File
38.51 KB
0755
2025-06-22 16:21:39
fold
File
34.51 KB
0755
2025-06-22 16:21:39
free
File
26.38 KB
0755
2024-09-26 08:44:05
gdbserver
File
615.98 KB
0755
2024-04-03 10:51:19
getconf
File
26.36 KB
0755
2026-01-30 08:27:54
getent
File
38.72 KB
0755
2026-01-30 08:27:54
getopt
File
22.38 KB
0755
2026-03-06 16:00:54
gpasswd
File
74.46 KB
4755
2024-05-30 14:52:35
gpgv
File
303.14 KB
0755
2026-01-05 22:01:39
grep
File
182.45 KB
0755
2024-04-08 15:58:39
groups
File
34.51 KB
0755
2025-06-22 16:21:39
growpart
File
29.19 KB
0755
2022-06-03 10:51:54
gunzip
File
2.29 KB
0755
2025-01-27 16:56:44
gzexe
File
6.3 KB
0755
2025-01-27 16:56:44
gzip
File
91.23 KB
0755
2025-01-27 16:56:44
hardlink
File
46.48 KB
0755
2026-03-06 16:00:54
head
File
42.51 KB
0755
2025-06-22 16:21:39
hostid
File
34.51 KB
0755
2025-06-22 16:21:39
hostname
File
22.23 KB
0755
2024-04-08 15:59:01
hostnamectl
File
30.45 KB
0755
2025-11-25 18:16:31
i386
File
26.65 KB
0755
2026-03-06 16:00:54
iconv
File
66.48 KB
0755
2026-01-30 08:27:54
id
File
38.51 KB
0755
2025-06-22 16:21:39
infocmp
File
66.38 KB
0755
2024-04-08 16:14:03
infotocap
File
90.41 KB
0755
2024-04-08 16:14:03
install
File
142.52 KB
0755
2025-06-22 16:21:39
ionice
File
18.38 KB
0755
2026-03-06 16:00:54
ip
File
754.8 KB
0755
2025-07-10 14:46:54
ipcmk
File
22.45 KB
0755
2026-03-06 16:00:54
ipcrm
File
18.38 KB
0755
2026-03-06 16:00:54
ipcs
File
38.38 KB
0755
2026-03-06 16:00:54
iptables-xml
File
92.95 KB
0755
2024-04-08 15:59:59
ischroot
File
14.48 KB
0755
2024-03-31 08:47:33
join
File
50.55 KB
0755
2025-06-22 16:21:39
journalctl
File
78.91 KB
0755
2025-11-25 18:16:31
json-patch-jsondiff
File
1004 B
0755
2023-08-21 13:10:58
jsondiff
File
1004 B
0755
2023-08-21 13:10:58
jsonpatch
File
3.77 KB
0755
2023-08-21 13:10:58
jsonpointer
File
1.79 KB
0755
2020-01-24 03:25:15
jsonschema
File
213 B
0755
2023-08-14 21:45:04
kernel-install
File
54.67 KB
0755
2025-11-25 18:16:31
kill
File
22.38 KB
0755
2024-09-26 08:44:05
kmod
File
170.24 KB
0755
2024-10-02 12:40:49
kmodsign
File
18.45 KB
0755
2024-04-08 14:49:32
last
File
34.38 KB
0755
2026-03-06 16:00:54
lastb
File
34.38 KB
0755
2026-03-06 16:00:54
lastlog
File
27.79 KB
0755
2024-05-30 14:52:35
lcf
File
7.6 KB
0755
2023-01-27 13:29:51
ld.so
File
231.07 KB
0755
2026-01-30 08:27:54
ldd
File
5.26 KB
0755
2026-01-30 08:27:54
less
File
190.38 KB
0755
2024-04-28 11:44:40
lessecho
File
14.31 KB
0755
2024-04-28 11:44:40
lessfile
File
8.83 KB
0755
2023-02-12 10:17:35
lesskey
File
23.7 KB
0755
2024-04-28 11:44:40
lesspipe
File
8.83 KB
0755
2023-02-12 10:17:35
link
File
34.51 KB
0755
2025-06-22 16:21:39
linux32
File
26.65 KB
0755
2026-03-06 16:00:54
linux64
File
26.65 KB
0755
2026-03-06 16:00:54
ln
File
54.51 KB
0755
2025-06-22 16:21:39
lnstat
File
22.66 KB
0755
2025-07-10 14:46:54
locale
File
49.63 KB
0755
2026-01-30 08:27:54
locale-check
File
14.15 KB
0755
2026-02-06 07:23:01
localectl
File
26.45 KB
0755
2025-11-25 18:16:31
localedef
File
319.09 KB
0755
2026-01-30 08:27:54
logger
File
38.97 KB
0755
2026-03-06 16:00:54
login
File
51.81 KB
0755
2024-05-30 14:52:35
loginctl
File
66.58 KB
0755
2025-11-25 18:16:31
logname
File
34.51 KB
0755
2025-06-22 16:21:39
ls
File
138.98 KB
0755
2025-06-22 16:21:39
lsattr
File
14.31 KB
0755
2024-04-28 23:44:46
lsblk
File
146.38 KB
0755
2026-03-06 16:00:54
lscpu
File
110.38 KB
0755
2026-03-06 16:00:54
lsipc
File
50.38 KB
0755
2026-03-06 16:00:54
lslocks
File
30.77 KB
0755
2026-03-06 16:00:54
lslogins
File
50.38 KB
0755
2026-03-06 16:00:54
lsmem
File
38.38 KB
0755
2026-03-06 16:00:54
lsmod
File
170.24 KB
0755
2024-10-02 12:40:49
lsns
File
42.38 KB
0755
2026-03-06 16:00:54
man
File
128 B
0755
2026-03-17 03:51:29
mawk
File
166.77 KB
0755
2024-04-08 16:12:02
mcookie
File
26.45 KB
0755
2026-03-06 16:00:54
md5sum
File
38.41 KB
0755
2025-06-22 16:21:39
md5sum.textutils
File
38.41 KB
0755
2025-06-22 16:21:39
mesg
File
14.38 KB
0755
2026-03-06 16:00:54
mkdir
File
74.51 KB
0755
2025-06-22 16:21:39
mkfifo
File
42.51 KB
0755
2025-06-22 16:21:39
mknod
File
42.51 KB
0755
2025-06-22 16:21:39
mksquashfs
File
286.95 KB
0755
2024-04-08 16:20:03
mkswapfile
File
865 B
0755
2026-03-17 03:51:29
mktemp
File
34.51 KB
0755
2025-06-22 16:21:39
more
File
46.38 KB
0755
2026-03-06 16:00:54
mount
File
50.38 KB
4755
2026-03-06 16:00:54
mountpoint
File
18.38 KB
0755
2026-03-06 16:00:54
mv
File
134.52 KB
0755
2025-06-22 16:21:39
namei
File
22.38 KB
0755
2026-03-06 16:00:54
nawk
File
166.77 KB
0755
2024-04-08 16:12:02
nc
File
38.63 KB
0755
2024-04-08 16:14:20
nc.openbsd
File
38.63 KB
0755
2024-04-08 16:14:20
netcat
File
38.63 KB
0755
2024-04-08 16:14:20
networkctl
File
122.58 KB
0755
2025-11-25 18:16:31
newgrp
File
39.71 KB
4755
2024-05-30 14:52:35
nice
File
34.51 KB
0755
2025-06-22 16:21:39
nisdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
nl
File
38.6 KB
0755
2025-06-22 16:21:39
nohup
File
34.41 KB
0755
2025-06-22 16:21:39
nproc
File
34.51 KB
0755
2025-06-22 16:21:39
nsenter
File
30.6 KB
0755
2026-03-06 16:00:54
nstat
File
30.38 KB
0755
2025-07-10 14:46:54
numfmt
File
58.54 KB
0755
2025-06-22 16:21:39
od
File
70.51 KB
0755
2025-06-22 16:21:39
openssl
File
981.8 KB
0755
2026-01-26 12:31:31
p11-kit
File
206.7 KB
0755
2024-08-09 02:33:21
p11tool
File
218.38 KB
0755
2026-02-10 16:09:12
pager
File
190.38 KB
0755
2024-04-28 11:44:40
partx
File
62.38 KB
0755
2026-03-06 16:00:54
passwd
File
62.65 KB
4755
2024-05-30 14:52:35
paste
File
38.41 KB
0755
2025-06-22 16:21:39
pathchk
File
34.51 KB
0755
2025-06-22 16:21:39
pdb3
File
67.83 KB
0755
2026-03-03 12:15:18
pdb3.12
File
67.83 KB
0755
2026-03-03 12:15:18
pgrep
File
34.47 KB
0755
2024-09-26 08:44:05
pidof
File
26.23 KB
0755
2024-04-08 16:20:36
pidwait
File
34.47 KB
0755
2024-09-26 08:44:05
ping
File
87.7 KB
0755
2025-07-24 11:51:16
ping4
File
87.7 KB
0755
2025-07-24 11:51:16
ping6
File
87.7 KB
0755
2025-07-24 11:51:16
pinky
File
38.41 KB
0755
2025-06-22 16:21:39
pkaction
File
18.3 KB
0755
2024-12-02 11:59:52
pkcheck
File
22.3 KB
0755
2024-12-02 11:59:52
pkcs11-tool
File
184.61 KB
0755
2026-02-25 13:46:47
pkill
File
34.47 KB
0755
2024-09-26 08:44:05
pkttyagent
File
22.3 KB
0755
2024-12-02 11:59:52
pldd
File
22.44 KB
0755
2026-01-30 08:27:54
plymouth
File
46.3 KB
0755
2025-02-25 05:47:08
pmap
File
34.4 KB
0755
2024-09-26 08:44:05
pr
File
70.58 KB
0755
2025-06-22 16:21:39
printenv
File
34.38 KB
0755
2025-06-22 16:21:39
printf
File
54.44 KB
0755
2025-06-22 16:21:39
prlimit
File
26.89 KB
0755
2026-03-06 16:00:54
ps
File
142.99 KB
0755
2024-09-26 08:44:05
ptx
File
54.54 KB
0755
2025-06-22 16:21:39
pwd
File
34.51 KB
0755
2025-06-22 16:21:39
pwdx
File
14.38 KB
0755
2024-09-26 08:44:05
py3clean
File
7.63 KB
0755
2025-11-12 12:15:44
py3compile
File
13 KB
0755
2025-11-12 12:15:44
py3versions
File
12.52 KB
0755
2025-11-12 12:15:44
pydoc3
File
80 B
0755
2026-03-03 12:15:18
pydoc3.12
File
80 B
0755
2026-03-03 12:15:18
pygettext3
File
23.66 KB
0755
2026-03-03 12:15:18
pygettext3.12
File
23.66 KB
0755
2026-03-03 12:15:18
pyserial-miniterm
File
975 B
0755
2023-11-24 10:38:53
pyserial-ports
File
969 B
0755
2023-11-24 10:38:53
python3
File
7.65 MB
0755
2026-03-03 12:15:18
python3.12
File
7.65 MB
0755
2026-03-03 12:15:18
rbash
File
1.38 MB
0755
2024-03-31 08:41:03
rdma
File
102.52 KB
0755
2025-07-10 14:46:54
readlink
File
42.41 KB
0755
2025-06-22 16:21:39
realpath
File
42.41 KB
0755
2025-06-22 16:21:39
rename.ul
File
22.38 KB
0755
2026-03-06 16:00:54
renice
File
14.38 KB
0755
2026-03-06 16:00:54
reset
File
26.31 KB
0755
2024-04-08 16:14:03
resizepart
File
22.38 KB
0755
2026-03-06 16:00:54
resolvectl
File
158.67 KB
0755
2025-11-25 18:16:31
rev
File
14.38 KB
0755
2026-03-06 16:00:54
rgrep
File
30 B
0755
2023-07-21 14:47:24
rm
File
58.51 KB
0755
2025-06-22 16:21:39
rmdir
File
46.41 KB
0755
2025-06-22 16:21:39
routel
File
1.62 KB
0755
2025-07-10 14:46:54
rtstat
File
22.66 KB
0755
2025-07-10 14:46:54
run-parts
File
26.82 KB
0755
2024-03-31 08:47:33
runcon
File
34.51 KB
0755
2025-06-22 16:21:39
rview
File
1.66 MB
0755
2026-03-10 09:13:01
savelog
File
10.24 KB
0755
2024-03-31 08:47:33
sbattach
File
22.54 KB
0755
2024-04-08 14:49:32
sbkeysync
File
34.74 KB
0755
2024-04-08 14:49:32
sbsiglist
File
14.6 KB
0755
2024-04-08 14:49:32
sbsign
File
34.7 KB
0755
2024-04-08 14:49:32
sbvarsign
File
22.73 KB
0755
2024-04-08 14:49:32
sbverify
File
30.61 KB
0755
2024-04-08 14:49:32
scp
File
134.59 KB
0755
2026-03-04 17:55:04
script
File
54.38 KB
0755
2026-03-06 16:00:54
scriptlive
File
42.38 KB
0755
2026-03-06 16:00:54
scriptreplay
File
34.38 KB
0755
2026-03-06 16:00:54
sdiff
File
50.39 KB
0755
2024-04-08 15:55:59
sed
File
110.57 KB
0755
2024-04-08 16:19:08
select-editor
File
2.39 KB
0755
2024-02-04 18:05:15
sensible-browser
File
1.55 KB
0755
2024-02-04 18:05:15
sensible-editor
File
1.52 KB
0755
2024-02-04 18:05:15
sensible-pager
File
921 B
0755
2024-02-04 18:05:15
sensible-terminal
File
1.15 KB
0755
2024-02-04 18:05:15
seq
File
50.51 KB
0755
2025-06-22 16:21:39
setarch
File
26.65 KB
0755
2026-03-06 16:00:54
setpriv
File
38.38 KB
0755
2026-03-06 16:00:54
setsid
File
14.38 KB
0755
2026-03-06 16:00:54
setterm
File
34.38 KB
0755
2026-03-06 16:00:54
sftp
File
150.66 KB
0755
2026-03-04 17:55:04
sg
File
39.71 KB
4755
2024-05-30 14:52:35
sh
File
126.74 KB
0755
2024-03-31 08:47:26
sha1sum
File
38.41 KB
0755
2025-06-22 16:21:39
sha224sum
File
38.41 KB
0755
2025-06-22 16:21:39
sha256sum
File
38.41 KB
0755
2025-06-22 16:21:39
sha384sum
File
38.41 KB
0755
2025-06-22 16:21:39
sha512sum
File
38.41 KB
0755
2025-06-22 16:21:39
shred
File
54.51 KB
0755
2025-06-22 16:21:39
shuf
File
46.51 KB
0755
2025-06-22 16:21:39
skill
File
26.41 KB
0755
2024-09-26 08:44:05
slabtop
File
22.44 KB
0755
2024-09-26 08:44:05
sleep
File
34.51 KB
0755
2025-06-22 16:21:39
slogin
File
827.04 KB
0755
2026-03-04 17:55:04
snap
File
22.43 MB
0755
2026-06-29 12:01:19
snapctl
File
0 B
0
1970-01-01 00:00:00
snice
File
26.41 KB
0755
2024-09-26 08:44:05
sort
File
102.8 KB
0755
2025-06-22 16:21:39
splash-client
File
404 B
0755
2026-03-17 03:51:29
split
File
54.94 KB
0755
2025-06-22 16:21:39
sqfscat
File
147.9 KB
0755
2024-04-08 16:20:03
sqfstar
File
286.95 KB
0755
2024-04-08 16:20:03
ss
File
129.07 KB
0755
2025-07-10 14:46:54
ssh
File
827.04 KB
0755
2026-03-04 17:55:04
ssh-add
File
294.42 KB
0755
2026-03-04 17:55:04
ssh-agent
File
302.43 KB
2755
2026-03-04 17:55:04
ssh-argv0
File
1.42 KB
0755
2025-07-21 15:58:50
ssh-copy-id
File
12.77 KB
0755
2023-12-18 14:59:50
ssh-keygen
File
442.44 KB
0755
2026-03-04 17:55:04
ssh-keyscan
File
330.44 KB
0755
2026-03-04 17:55:04
stat
File
86.52 KB
0755
2025-06-22 16:21:39
stdbuf
File
50.51 KB
0755
2025-06-22 16:21:39
stty
File
78.52 KB
0755
2025-06-22 16:21:39
su
File
54.38 KB
4755
2026-03-06 16:00:54
sudo
File
271.42 KB
4755
2026-03-02 12:56:19
sudoedit
File
271.42 KB
4755
2026-03-02 12:56:19
sudoreplay
File
95.95 KB
0755
2026-03-02 12:56:19
sum
File
34.41 KB
0755
2025-06-22 16:21:39
sync
File
34.41 KB
0755
2025-06-22 16:21:39
systemctl
File
1.43 MB
0755
2025-11-25 18:16:31
systemd
File
98.45 KB
0755
2025-11-25 18:16:31
systemd-ac-power
File
14.45 KB
0755
2025-11-25 18:16:31
systemd-analyze
File
198.85 KB
0755
2025-11-25 18:16:31
systemd-ask-password
File
18.58 KB
0755
2025-11-25 18:16:31
systemd-cat
File
18.45 KB
0755
2025-11-25 18:16:31
systemd-cgls
File
22.57 KB
0755
2025-11-25 18:16:31
systemd-cgtop
File
38.47 KB
0755
2025-11-25 18:16:31
systemd-confext
File
54.64 KB
0755
2025-11-25 18:16:31
systemd-creds
File
42.72 KB
0755
2025-11-25 18:16:31
systemd-cryptenroll
File
70.92 KB
0755
2025-11-25 18:16:31
systemd-cryptsetup
File
78.95 KB
0755
2025-11-25 18:16:31
systemd-delta
File
26.45 KB
0755
2025-11-25 18:16:31
systemd-detect-virt
File
18.45 KB
0755
2025-11-25 18:16:31
systemd-escape
File
22.45 KB
0755
2025-11-25 18:16:31
systemd-firstboot
File
58.82 KB
0755
2025-11-25 18:16:31
systemd-hwdb
File
154.74 KB
0755
2025-11-25 18:16:31
systemd-id128
File
22.45 KB
0755
2025-11-25 18:16:31
systemd-inhibit
File
22.47 KB
0755
2025-11-25 18:16:31
systemd-machine-id-setup
File
18.63 KB
0755
2025-11-25 18:16:31
systemd-mount
File
50.78 KB
0755
2025-11-25 18:16:31
systemd-notify
File
26.66 KB
0755
2025-11-25 18:16:31
systemd-path
File
18.45 KB
0755
2025-11-25 18:16:31
systemd-repart
File
195.23 KB
0755
2025-11-25 18:16:31
systemd-run
File
66.79 KB
0755
2025-11-25 18:16:31
systemd-socket-activate
File
30.45 KB
0755
2025-11-25 18:16:31
systemd-stdio-bridge
File
22.45 KB
0755
2025-11-25 18:16:31
systemd-sysext
File
54.64 KB
0755
2025-11-25 18:16:31
systemd-sysusers
File
66.63 KB
0755
2025-11-25 18:16:31
systemd-tmpfiles
File
114.7 KB
0755
2025-11-25 18:16:31
systemd-tty-ask-password-agent
File
34.45 KB
0755
2025-11-25 18:16:31
systemd-umount
File
50.78 KB
0755
2025-11-25 18:16:31
tabs
File
18.3 KB
0755
2024-04-08 16:14:03
tac
File
38.41 KB
0755
2025-06-22 16:21:39
tail
File
62.53 KB
0755
2025-06-22 16:21:39
tar
File
421.92 KB
0755
2024-04-08 16:20:47
taskset
File
30.38 KB
0755
2026-03-06 16:00:54
tee
File
38.51 KB
0755
2025-06-22 16:21:39
tempfile
File
14.3 KB
0755
2024-03-31 08:47:33
test
File
46.44 KB
0755
2025-06-22 16:21:39
tic
File
90.41 KB
0755
2024-04-08 16:14:03
timedatectl
File
815 B
0755
2026-03-17 03:54:04
timedatectl.real
File
46.45 KB
0755
2025-11-25 18:16:31
timeout
File
38.95 KB
0755
2025-06-22 16:21:39
tload
File
22.39 KB
0755
2024-09-26 08:44:05
toe
File
22.3 KB
0755
2024-04-08 16:14:03
top
File
131.7 KB
0755
2024-09-26 08:44:05
touch
File
94.51 KB
0755
2025-06-22 16:21:39
tput
File
26.34 KB
0755
2024-04-08 16:14:03
tr
File
46.51 KB
0755
2025-06-22 16:21:39
true
File
26.3 KB
0755
2025-06-22 16:21:39
truncate
File
38.51 KB
0755
2025-06-22 16:21:39
tset
File
26.31 KB
0755
2024-04-08 16:14:03
tsort
File
46.51 KB
0755
2025-06-22 16:21:39
tty
File
34.51 KB
0755
2025-06-22 16:21:39
tzselect
File
15.02 KB
0755
2026-01-30 08:27:54
ucf
File
40.68 KB
0755
2023-01-27 13:29:51
ucfr
File
10.85 KB
0755
2023-01-27 13:29:51
uclampset
File
30.38 KB
0755
2026-03-06 16:00:54
udevadm
File
1.37 MB
0755
2025-11-25 18:16:31
umount
File
38.38 KB
4755
2026-03-06 16:00:54
uname
File
34.51 KB
0755
2025-06-22 16:21:39
uncompress
File
2.29 KB
0755
2025-01-27 16:56:44
unexpand
File
38.53 KB
0755
2025-06-22 16:21:39
uniq
File
38.51 KB
0755
2025-06-22 16:21:39
unlink
File
34.51 KB
0755
2025-06-22 16:21:39
unshare
File
42.6 KB
0755
2026-03-06 16:00:54
unsquashfs
File
147.9 KB
0755
2024-04-08 16:20:03
update-alternatives
File
58.38 KB
0755
2025-09-18 17:43:59
uptime
File
14.38 KB
0755
2024-09-26 08:44:05
users
File
34.51 KB
0755
2025-06-22 16:21:39
utmpdump
File
22.38 KB
0755
2026-03-06 16:00:54
varlinkctl
File
30.45 KB
0755
2025-11-25 18:16:31
vcs-run
File
6.75 KB
0755
2022-06-03 10:51:54
vdir
File
138.98 KB
0755
2025-06-22 16:21:39
vi
File
1.66 MB
0755
2026-03-10 09:13:01
view
File
1.66 MB
0755
2026-03-10 09:13:01
vim.tiny
File
1.66 MB
0755
2026-03-10 09:13:01
vmstat
File
38.78 KB
0755
2024-09-26 08:44:05
w
File
26.38 KB
0755
2024-09-26 08:44:05
wall
File
22.38 KB
0755
2026-03-06 16:00:54
watch
File
30.84 KB
0755
2024-09-26 08:44:05
wc
File
54.52 KB
0755
2025-06-22 16:21:39
wdctl
File
34.4 KB
0755
2026-03-06 16:00:54
whereis
File
30.84 KB
0755
2026-03-06 16:00:54
which
File
1.05 KB
0755
2024-03-31 08:47:33
which.debianutils
File
1.05 KB
0755
2024-03-31 08:47:33
who
File
58.52 KB
0755
2025-06-22 16:21:39
whoami
File
34.51 KB
0755
2025-06-22 16:21:39
wpa_passphrase
File
14.38 KB
0755
2026-02-04 23:33:00
x86_64
File
26.65 KB
0755
2026-03-06 16:00:54
xargs
File
62.41 KB
0755
2024-04-08 15:57:28
xdg-email
File
38 B
0755
2026-03-17 03:54:05
xdg-open
File
38 B
0755
2026-03-17 03:54:05
xdg-settings
File
1.68 KB
0755
2026-03-17 03:54:05
yes
File
34.38 KB
0755
2025-06-22 16:21:39
ypdomainname
File
22.23 KB
0755
2024-04-08 15:59:01
zcat
File
1.94 KB
0755
2025-01-27 16:56:44
zcmp
File
1.64 KB
0755
2025-01-27 16:56:44
zdiff
File
6.31 KB
0755
2025-01-27 16:56:44
zdump
File
30.28 KB
0755
2026-01-30 08:27:54
zegrep
File
29 B
0755
2025-01-27 16:56:44
zfgrep
File
29 B
0755
2025-01-27 16:56:44
zforce
File
2.03 KB
0755
2025-01-27 16:56:44
zgrep
File
7.91 KB
0755
2025-01-27 16:56:44
zless
File
2.15 KB
0755
2025-01-27 16:56:44
zmore
File
1.8 KB
0755
2025-01-27 16:56:44
znew
File
4.47 KB
0755
2025-01-27 16:56:44
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: savelog
#! /bin/sh # savelog - save a log file # Copyright (C) 1987, 1988 Ronald S. Karr and Landon Curt Noll # Copyright (C) 1992 Ronald S. Karr # Slight modifications by Ian A. Murdock <imurdock@gnu.ai.mit.edu>: # * uses `gzip' rather than `compress' # * doesn't use $savedir; keeps saved log files in the same directory # * reports successful rotation of log files # * for the sake of consistency, files are rotated even if they are # empty # More modifications by Guy Maor <maor@debian.org>: # * cleanup. # * -p (preserve) option # # usage: savelog [-m mode] [-u user] [-g group] [-t] [-p] [-c cycle] # [-j] [-C] [-d] [-l] [-r rolldir] [-n] [-q] file... # -m mode - chmod log files to mode # -u user - chown log files to user # -g group - chgrp log files to group # -c cycle - save cycle versions of the logfile (default: 7) # -r rolldir- use rolldir instead of . to roll files # -C - force cleanup of cycled logfiles # -d - use standard date for rolling # -D - override date format for -d # -t - touch file # -l - don't compress any log files (default: compress) # -p - preserve mode/user/group of original file # -j - use bzip2 instead of gzip # -J - use xz instead of gzip # -1 .. -9 - compression strength or memory usage (default: 9, except for xz) # -x script - invoke script with rotated log file in $FILE # -n - do not rotate empty files # -q - be quiet # file - log file names # # The savelog command saves and optionally compresses old copies of files. # Older version of 'file' are named: # # 'file'.<number><compress_suffix> # # where <number> is the version number, 0 being the newest. By default, # version numbers > 0 are compressed (unless -l prevents it). The # version number 0 is never compressed on the off chance that a process # still has 'file' opened for I/O. # # if the '-d' option is specified, <number> will be YYMMDDhhmmss # # If the 'file' does not exist and -t was given, it will be created. # # For files that do exist and have lengths greater than zero, the following # actions are performed. # # 1) Version numered files are cycled. That is version 6 is moved to # version 7, version is moved to becomes version 6, ... and finally # version 0 is moved to version 1. Both compressed names and # uncompressed names are cycled, regardless of -t. Missing version # files are ignored. # # 2) The new file.1 is compressed and is changed subject to # the -m, -u and -g flags. This step is skipped if the -t flag # was given. # # 3) The main file is moved to file.0. # # 4) If the -m, -u, -g, -t, or -p flags are given, then the file is # touched into existence subject to the given flags. The -p flag # will preserve the original owner, group, and permissions. # # 5) The new file.0 is changed subject to the -m, -u and -g flags. # # Note: If no -m, -u, -g, -t, or -p is given, then the primary log file is # not created. # # Note: Since the version numbers start with 0, version number <cycle> # is never formed. The <cycle> count must be at least 2. # # Bugs: If a process is still writing to the file.0 and savelog # moved it to file.1 and compresses it, data could be lost. # Smail does not have this problem in general because it # restats files often. # common location export PATH=$PATH:/sbin:/bin:/usr/sbin:/usr/bin COMPRESS="gzip" COMPRESS_OPTS="-f" COMPRESS_STRENGTH_DEF="-9"; DOT_Z=".gz" DATUM=`date +%Y%m%d%H%M%S` # parse args exitcode=0 # no problems to far prog=`basename $0` mode= user= group= touch= forceclean= rolldir= datum= preserve= hookscript= quiet=0 rotateifempty=yes count=7 usage() { echo "Usage: $prog [-m mode] [-u user] [-g group] [-t] [-c cycle] [-p]" echo " [-j] [-C] [-d] [-l] [-r rolldir] [-n] [-q] file ..." echo " -m mode - chmod log files to mode" echo " -u user - chown log files to user" echo " -g group - chgrp log files to group" echo " -c cycle - save cycle versions of the logfile (default: 7)" echo " -r rolldir - use rolldir instead of . to roll files" echo " -C - force cleanup of cycled logfiles" echo " -d - use standard date for rolling" echo " -D - override date format for -d" echo " -t - touch file" echo " -l - don't compress any log files (default: compress)" echo " -p - preserve mode/user/group of original file" echo " -j - use bzip2 instead of gzip" echo " -J - use xz instead of gzip" echo " -1 .. -9 - compression strength or memory usage (default: 9, except for xz)" echo " -x script - invoke script with rotated log file in \$FILE" echo " -n - do not rotate empty files" echo " -q - suppress rotation message" echo " file - log file names" } fixfile() { if [ -n "$user" ]; then chown -- "$user" "$1" fi if [ -n "$group" ]; then chgrp -- "$group" "$1" fi if [ -n "$mode" ]; then chmod -- "$mode" "$1" fi } while getopts m:u:g:c:r:CdD:tlphjJ123456789x:nq opt ; do case "$opt" in m) mode="$OPTARG" ;; u) user="$OPTARG" ;; g) group="$OPTARG" ;; c) count="$OPTARG" ;; r) rolldir="$OPTARG" ;; C) forceclean=1 ;; d) datum=1 ;; D) DATUM=$(date +$OPTARG) ;; t) touch=1 ;; j) COMPRESS="bzip2"; COMPRESS_OPTS="-f"; COMPRESS_STRENGTH_DEF="-9"; DOT_Z=".bz2" ;; J) COMPRESS="xz"; COMPRESS_OPTS="-f"; COMPRESS_STRENGTH_DEF=""; DOT_Z=".xz" ;; [1-9]) COMPRESS_STRENGTH="-$opt" ;; x) hookscript="$OPTARG" ;; l) COMPRESS="" ;; p) preserve=1 ;; n) rotateifempty="no" ;; q) quiet=1 ;; h) usage; exit 0 ;; *) usage; exit 1 ;; esac done shift $(($OPTIND - 1)) if [ "$count" -lt 2 ]; then echo "$prog: count must be at least 2" 1>&2 exit 2 fi if [ -n "$COMPRESS" ] && [ -z "$(command -v $COMPRESS)" ]; then echo "$prog: Compression binary not available, please make sure '$COMPRESS' is installed" 1>&2 exit 2 fi if [ -n "$COMPRESS_STRENGTH" ]; then COMPRESS_OPTS="$COMPRESS_OPTS $COMPRESS_STRENGTH" else COMPRESS_OPTS="$COMPRESS_OPTS $COMPRESS_STRENGTH_DEF" fi # cycle thru filenames while [ $# -gt 0 ]; do # get the filename filename="$1" shift # catch bogus files if [ -e "$filename" ] && [ ! -f "$filename" ]; then echo "$prog: $filename is not a regular file" 1>&2 exitcode=3 continue fi # if file does not exist or is empty, and we've been told to not rotate # empty files, create if requested and skip to the next file. if [ ! -s "$filename" ] && [ "$rotateifempty" = "no" ]; then # if -t was given and it does not exist, create it if test -n "$touch" && [ ! -f "$filename" ]; then touch -- "$filename" if [ "$?" -ne 0 ]; then echo "$prog: could not touch $filename" 1>&2 exitcode=4 continue fi fixfile "$filename" fi continue # otherwise if the file does not exist and we've been told to rotate it # anyway, create an empty file to rotate. elif [ ! -e "$filename" ]; then touch -- "$filename" if [ "$?" -ne 0 ]; then echo "$prog: could not touch $filename" 1>&2 exitcode=4 continue fi fixfile "$filename" fi # be sure that the savedir exists and is writable # (Debian default: $savedir is . and not ./OLD) savedir=`dirname -- "$filename"` if [ -z "$savedir" ]; then savedir=. fi case "$rolldir" in (/*) savedir="$rolldir" ;; (*) savedir="$savedir/$rolldir" ;; esac if [ ! -d "$savedir" ]; then mkdir -p -- "$savedir" if [ "$?" -ne 0 ]; then echo "$prog: could not mkdir $savedir" 1>&2 exitcode=5 continue fi chmod 0755 -- "$savedir" fi if [ ! -w "$savedir" ]; then echo "$prog: directory $savedir is not writable" 1>&2 exitcode=7 continue fi # determine our uncompressed file names newname=`basename -- "$filename"` newname="$savedir/$newname" # cycle the old compressed log files cycle=$(( $count - 1)) rm -f -- "$newname.$cycle" "$newname.$cycle$DOT_Z" while [ $cycle -gt 1 ]; do # --cycle oldcycle=$cycle cycle=$(( $cycle - 1 )) # cycle log if [ -f "$newname.$cycle$DOT_Z" ]; then mv -f -- "$newname.$cycle$DOT_Z" \ "$newname.$oldcycle$DOT_Z" fi if [ -f "$newname.$cycle" ]; then # file was not compressed. move it anyway mv -f -- "$newname.$cycle" "$newname.$oldcycle" fi done # compress the old uncompressed log if needed if [ -f "$newname.0" ]; then if [ -z "$COMPRESS" ]; then newfile="$newname.1" mv -f -- "$newname.0" "$newfile" else newfile="$newname.1$DOT_Z" # $COMPRESS $COMPRESS_OPTS < $newname.0 > $newfile # rm -f $newname.0 $COMPRESS $COMPRESS_OPTS "$newname.0" mv -f -- "$newname.0$DOT_Z" "$newfile" fi fixfile "$newfile" fi # compress the old uncompressed log if needed if test -n "$datum" && test -n "$COMPRESS"; then $COMPRESS $COMPRESS_OPTS -- "$newname".[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] fi # remove old files if so desired if [ -n "$forceclean" ]; then cycle=$(( $count - 1)) if [ -z "$COMPRESS" ]; then list=$(ls -t -- $newname.[0-9]* 2>/dev/null | sed -e 1,${cycle}d) if [ -n "$list" ]; then rm -f -- $list fi else list=$(ls -t -- $newname.[0-9]*$DOT_Z 2>/dev/null | sed -e 1,${cycle}d) if [ -n "$list" ]; then rm -f -- $list fi fi fi # create new file if needed if [ -n "$preserve" ]; then (umask 077 touch -- "$filename.new" chown --reference="$filename" -- "$filename.new" chmod --reference="$filename" -- "$filename.new") filenew=1 elif [ -n "$touch$user$group$mode" ]; then touch -- "$filename.new" fixfile "$filename.new" filenew=1 fi newfilename="$newname.0" # link the file into the file.0 holding place if [ -f "$filename" ]; then if [ -n "$filenew" ]; then if ln -f -- "$filename" "$newfilename"; then mv -f -- "$filename.new" "$filename" else echo "Error hardlinking $filename to $newfilename" >&2 exitcode=8 continue fi else mv -f -- "$filename" "$newfilename" fi fi [ ! -f "$newfilename" ] && touch -- "$newfilename" fixfile "$newfilename" if [ -n "$datum" ]; then mv -- "$newfilename" "$newname.$DATUM" newfilename="$newname.$DATUM" fi if [ -n "$hookscript" ]; then FILE="$newfilename" $SHELL -c "$hookscript" || \ { ret=$? test "$quiet" -eq 1 || echo "Hook script failed with exit code $ret." 1>&2 } fi # report successful rotation test "$quiet" -eq 1 || echo "Rotated \`$filename' at `date`." done exit $exitcode
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED